'Author : Cambox Vision
'Version 3.0.1 //Pour Cambox v1
'French Local IDs 2060 3084 1036 5132 6156 4108
Dim fr, es, local, model
fr = Array(1036,2060,3084,6156,4108)
es = Array(3082,11274,16394,13322,9226,5130,7178,12298,17418,4106,18442,2058,19466,6154,15370,10250,20490,1034,14346,8202)
local = GetLocale
model = "Cambox ISI2"
Dim title, display_text, end_text, hour_yes, hour_no
If inArray(fr,local) Then
	title = "Param" & Chr(232) &"tres " & model
	display_text = "Afficher l'heure ?"
	end_text = "Le fichier time.txt a "& Chr(233) & "t" & Chr(233) &" cr" & Chr(233) &""&Chr(233) & VbCr
	hour_yes = "L'heure sera affich"& Chr(233) &"e"
	hour_no = "L'heure ne sera pas affich"& Chr(233) &"e"
ElseIf inArray(es, local) Then
	title = "Ajustes " & model
	display_text = Chr(191) & "Mostrar la hora?"
	end_text = "El fichero time.txt ha sido creado" & VbCr
	hour_yes = "La hora ser" & Chr(224) &" fijada"
	hour_no = "La hora no ser" & Chr(224) &" fijada"
Else 
	title = "Settings " & model
	display_text = "Show the hour ?"
	end_text = "The file time.txt was created" & VbCr
	hour_yes = "The hour will be shown"
	hour_no = "The hour won't be shown"
End If


'Wscript.echo "Afficher l'heure ?"
Dim a, rep
a=MsgBox(display_text,4,title)
Set objFSO=CreateObject("Scripting.FileSystemObject")
rep = objFSO.GetDriveName(objFSO.GetAbsolutePathName(".")) & "\"
outFile = objFSO.BuildPath(rep,"time.txt")
Set objFile=objFSO.CreateTextFile(outFile,True)
objFile.Write Year(Date) & "." & Right( "00" & Month(Date), 2 )  & "." & Right("00" & Day(Date), 2) & " " & Time()
If a = 6 Then
	end_text = end_text & hour_yes
	objFile.Write "Y" & vbCrlf
Else
	end_text = end_text & hour_no
	objFile.Write "N" & vbCrlf
End If
objFile.Close
'Set file to prevent mac to store delete files
remove ".fseventsd" , "folder"
remove ".Trashes" , "folder"
remove ".Spotlight-V100" , "folder"
createHidden ".fseventsd" , "folder"
createHidden ".fseventsd/no_log" , "file"
createHidden ".metadata_never_index" , "file"
createHidden ".Trashes" , "file"


b=MsgBox(end_text,6,title)


Function inArray(iArray, value)
	Dim found: found = False
	For i = 0 To UBound(iArray)
		If iArray(i) = value Then
			found = True
			Exit For ' prevents searching the whole array...
		End If
	Next
	inArray = found
End Function
Sub remove(filename, isfolder)
	Dim path : path = objFSO.BuildPath(rep,filename)
	If isfolder = "folder" Then
		If objFSO.FolderExists(path) Then
				objFSO.DeleteFolder(path)
		End If
	Else
		If objFSO.FileExists(path) Then
				objFSO.DeleteFile(path)
		End If
	End If
End Sub
Sub createHidden(filename, isfolder)
	Dim path : path = objFSO.BuildPath(rep,filename)
	Dim newObject
	
	If isfolder = "folder" Then
		If NOT objFSO.FolderExists(path) Then
				objFSO.CreateFolder(path)
				Set newObject = objFSO.GetFolder(path)
				newObject.attributes = 2
		End If
	Else
		If NOT objFSO.FileExists(path) Then
				objFSO.CreateTextFile(path)
				Set newObject = objFSO.GetFile(path)
				newObject.attributes = 2	
		End If
	End If
End Sub